Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226530 - Merge Review: vlock
Summary: Merge Review: vlock
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:15 UTC by Nobody's working on this, feel free to take it
Modified: 2010-02-21 11:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-21 11:35:51 UTC
ruben: fedora-review-


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:15:52 UTC
Fedora Merge Review: vlock

http://cvs.fedora.redhat.com/viewcvs/devel/vlock/
Initial Owner: kzak@redhat.com

Comment 1 Ruben Kerkhof 2007-02-05 21:14:38 UTC
Review for release 23:
* RPM name is OK
* Source vlock-1.3.tar.gz is the same as upstream
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
  Please add COPYING from the source to %doc

Notes:
* Please consider using {?dist} in the Release tag
* Preserve timestamps when installing files

Rpmlint is not silent:

Source RPM:
W: vlock summary-ended-with-dot A program which locks one or more virtual consoles.
W: vlock no-url-tag

rpmlint of vlock:
W: vlock summary-ended-with-dot A program which locks one or more virtual consoles.
W: vlock no-url-tag
W: vlock conffile-without-noreplace-flag /etc/pam.d/vlock


Comment 2 Karel Zak 2007-02-07 21:47:02 UTC
Thanks for your enthusiasm. I'm going to fix/improve the package in next week(s).

Comment 3 Karel Zak 2007-03-01 15:21:11 UTC
Fixed. Update to vlock-1.3-24.fc7

Comment 4 Karel Zak 2007-03-01 15:48:16 UTC
Note, I forgot install -p, fixed in the -25 release.

Comment 5 Ruben Kerkhof 2010-02-21 11:35:51 UTC
Wow, forgot about this one.
Approved.


Note You need to log in before you can comment on or make changes to this bug.